OCF_HEARTBEAT_POSTFI(7)

NAME
ocf_heartbeat_postfix - Manages a highly available Postfix mail server instance

SYNOPSIS

postfix [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This script manages Postfix as an OCF resource in a high-availability setup.

SUPPORTED PARAMETERS

binary
    Full path to the Postfix binary. For example, "/usr/sbin/postfix".

    (optional, string, default "/usr/sbin/postfix")

config_dir
    Full path to a Postfix configuration directory. For example, "/etc/postfix".

    (unique, optional, string, no default)

parameters
    The Postfix daemon may be called with additional parameters. Specify any of them here.

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

reload
    Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 60s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a postfix resource using the crm(8) shell:

    primitive p_postfix ocf:heartbeat:postfix \
      op monitor depth="0" timeout="20s" interval="60s"

EXAMPLE PCS

The following is an example configuration for a postfix resource using pcs(8)

    pcs resource create p_postfix ocf:heartbeat:postfix \
      op monitor OCF_CHECK_LEVEL="0" timeout="20s" interval="60s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)